function [y,compression,freq]=repeatedfft( x, n, f )
    size=floor(length(x)/n);
    freq=zeros(2^nextpow2(size),n);
    start=1;
    y=zeros(length(x),1);
    compression=0;
    for j=1:(length(x)/size)
        i=size*j;
        range=start:i;
        [y(range) c fadd]=fftabsfilter( x(range), f );
        freq(:,j)= fadd;
        compression = compression + c / n;
        start=i+1;
    end
    ignored=length(x)-i;
    if ignored > 0
        sprintf( 'Warning: ignored the last %d sound samples', ignored )
    end
end